REST APIInstitutional API
Withdrawals
Withdrawal queue state per chain and vault.
Get Vault Withdrawals
Path Parameters
chainChain
Value in
1 | -1 | -2 | -3 | -4 | 42161 | 43114 | 8453 | 56 | 534352 | 59144 | 10 | 137 | 2222 | 0 | 1101 | 48900 | 1923 | 43111 | 80094 | 146 | 999 | 130 | 239 | 31612 | 1868 | 9745 | 143 | 57073 | 14 | 4114 | 25363 | 4217 | 196 | 11155111vault_addressVault Address
Response Body
curl -X GET "https://api.upshift.finance/api/v1/withdrawals/1/string"{
"total_withdrawals_raw_amount": 0,
"normalized_total_withdrawals_amount": "string",
"total_assets": "string",
"normalized_total_assets": "string",
"symbol": "string",
"pending_withdrawals": [
{
"date": "string",
"amount_raw": 0,
"normalized_amount": "string",
"vault_percentage": "string",
"vault": "string",
"receiver": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}